aboutsummaryrefslogtreecommitdiff
path: root/git-whatchanged.sh
diff options
context:
space:
mode:
authorLinus Torvalds <torvalds@osdl.org>2006-01-25 17:02:10 -0500
committerJunio C Hamano <junkio@cox.net>2006-01-25 14:44:55 -0800
commit73e5456ed3eced7a728f933e01c850c2992dbeed (patch)
treea7de9e024a7a8fa933ff91607ed8c50561f49c18 /git-whatchanged.sh
parentd8f6b342ae200b2eb72e2f81afea7fe0d41aec0b (diff)
downloadgit-73e5456ed3eced7a728f933e01c850c2992dbeed.tar.gz
git-73e5456ed3eced7a728f933e01c850c2992dbeed.tar.xz
git-whatchanged: exit out early on errors
If we get an error parsing the arguments, exit. Signed-off-by: Linus Torvalds <torvalds@osdl.org> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-whatchanged.sh')
-rwxr-xr-xgit-whatchanged.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-whatchanged.sh b/git-whatchanged.sh
index 80e2500e0..d4f985b5e 100755
--- a/git-whatchanged.sh
+++ b/git-whatchanged.sh
@@ -4,7 +4,7 @@ USAGE='[-p] [--max-count=<n>] [<since>..<limit>] [--pretty=<format>] [-m] [git-d
SUBDIRECTORY_OK='Yes'
. git-sh-setup
-diff_tree_flags=$(git-rev-parse --sq --no-revs --flags "$@")
+diff_tree_flags=$(git-rev-parse --sq --no-revs --flags "$@") || exit
test -z "$diff_tree_flags" &&
diff_tree_flags=$(git-repo-config --get whatchanged.difftree)
test -z "$diff_tree_flags" &&